//genMethods "-g" "-t" "BinGraph*" "-r" "MBinGraph*" "-I" "LINK/graph/BinGraph.h" "-y" "display_graphptr" "-m" "mark_graphptr" "-w" "free_graphptr" "-d" "graph" "-f" "__binGraph_" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>
#include <LINK/graph/BinGraph.h>
#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
void display_graphptr(SCM, SCM, int);
void mark_graphptr(SCM);
void free_graphptr(SCM);
typedef BinGraph* _BinGraph_;
#define _BinGraph_DATA(x) ((BinGraph**) (EXTDATA(x)))
#define _BinGraph_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<BinGraph* >::type))
#define _BinGraph_ISNT_DATA(x) (!_BinGraph_IS_DATA(x))
#define _BinGraph_CXX_DATA(x) (*(BinGraph**) (EXTDATA(VAL(x))))
#define _BinGraph_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<BinGraph* >::type))
#define _BinGraph_CXX_ISNT_DATA(x) (!_BinGraph_CXX_IS_DATA(x))
// define your new methods above 
// and register them using STk_add_new_cpp_primitive() below
void genExtra__binGraph_Methods() {}
